[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Transition from dpkg to GNU install-info



On Wed, 11 Mar 2009 10:30:12 +0100
Norbert Preining <preining@logic.at> wrote:

> On Mi, 11 Mär 2009, Neil Williams wrote:
> > Is it meant to only echo the command out?
> 
> Uups, forgot the comment out the part in the install-info.sh. please can
> you do so and retry. The very first lines ;-)
> 
> Change packages are on the server, version 4.13a.dfsg.1-2~exp02

Then it will fail and the Emdebian install will still break.
:-(

# dpkg --unpack /var/cache/apt/archives/coreutils_6.10-6em1_amd64.deb ; echo $?
(Reading database ... 5726 files and directories currently installed.)
Preparing to replace coreutils 6.10-6em1 (using .../coreutils_6.10-6em1_amd64.deb) ...
Unpacking replacement coreutils ...
0

# dpkg --configure coreutils ; echo $?
Setting up coreutils (6.10-6em1) ...
install-info: No dir file specified; try --help for more information.
dpkg: error processing coreutils (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 coreutils
1

and with the -dir specified, it will still break:

# dpkg --configure coreutils ; echo $?
Setting up coreutils (6.10-6em1) ...
install-info: /usr/share/info: empty file
dpkg: error processing coreutils (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 coreutils
1

This is expressly what I need to avoid happening.

Now, what we could do is have the /usr/bin/install-info wrapper ignore
such errors because, after all, packages should be migrating to trigger
support with .install-info files and make no mention of install-info in
the maintainer scripts. I can then file bugs against those packages that
retain maintainer scripts listing install-info. (lintian tests would be
good too.)

That way, Grip can remove the info document and the trigger file
together, ensuring smooth package installations for those that complete
the transition.

The patch would be:

diff -u texinfo-4.13a.dfsg.1/debian/install-info.sh texinfo-4.13a.dfsg.1/debian/install-info.sh
--- texinfo-4.13a.dfsg.1/debian/install-info.sh
+++ texinfo-4.13a.dfsg.1/debian/install-info.sh
@@ -51 +51 @@
-/bin/sh -c "$INSTALL_INFO $options"
+/bin/sh -c "$INSTALL_INFO --dir /usr/share/info $options || true"


Rendering:
dpkg --configure coreutils ; echo $?
Setting up coreutils (6.10-6em1) ...
install-info: /usr/share/info: empty file
0

It depends how quickly we can transition all the packages listed in the
existing bug report #518737 to *not* have any mention of install-info
in their maintainer scripts.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=518737#27

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

Attachment: pgpMRMmVzHgrK.pgp
Description: PGP signature


Reply to: